---
title: '`glab schedule update`'
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Update a pipeline schedule.

```plaintext
glab schedule update <id> [flags]
```

## Examples

```console
# Update a scheduled pipeline with ID 10
$ glab schedule update 10 --cron "0 * * * *" --description "Describe your pipeline here" --ref "main" --create-variable "foo:bar" --update-variable "baz:baz" --delete-variable "qux"
Updated schedule with ID 10
```

## Options

```plaintext
      --active                    Whether or not the schedule is active. (default to not change)
      --create-variable strings   Pass new variables to schedule in format <key>:<value>.
      --cron string               Cron interval pattern.
      --cronTimeZone string       Cron timezone.
      --delete-variable strings   Pass variables you want to delete from schedule in format <key>.
      --description string        Description of the schedule.
      --ref string                Target branch or tag.
      --update-variable strings   Pass updated variables to schedule in format <key>:<value>.
```

## Options inherited from parent commands

```plaintext
  -h, --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
